package com.kmall.api.dao.mk;

import com.kmall.api.entity.mk.MkStoreTopicStatVo;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 门店活动统计Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
public interface ApiMkStoreTopicStatMapper extends BaseDao<MkStoreTopicStatVo> {
    MkStoreTopicStatVo queryObjectByTopicId(@Param("storeTopicId") Integer storeTopicId);

    MkStoreTopicStatVo queryStatDataByUserCouponId(@Param("userCouponId") Integer userCouponId);

    MkStoreTopicStatVo queryCampByOrder(@Param("campMinusId")Integer campMinusId);

    List<Map> querySubmitNumByCampOrder(@Param("storeTopicId") Integer storeTopicId);
}
